Skip to main content
POST
Verify Passport

Authorizations

x-client-id
string
header
required

Client ID. You can find your ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if IP is not whitelisted.

Body

application/json

Find the request parameter to retrieve your customer's passport information

verification_id
string
default:ABC00123
required

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Only alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"ABC00123"

file_number
string
default:PA1079341954215
required

It is the unique alphanumeric code that identifies an individual's passport application.

Example:

"PA1079341954215"

dob
string
default:2007-03-01
required

It is the date of birth of the passport holder. The format is YYYY-MM-DD.

Example:

"2007-03-01"

name
string

It is the name of the passport holder.

Example:

"John Doe"

Response

Success response for retrieveing passport information

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

1358

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"ABC00123"

status
string

It displays the status of the passport.

Example:

"VALID"

file_number
string

It displays the unique alphanumeric code that identifies an individual's passport application.

Example:

"XX0000000000000"

name
string

It displays the name of the passport holder.

Example:

"John Doe"

dob
string

It displays the date of birth of the passport holder.

Example:

"YYYY-MM-DD"

application_type
string

It displays the type of passport application.

Example:

"NORMAL"

application_received_date
string

It displays when the passport application was received.

Example:

"YYYY-MM-DD"